Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-ice.xml
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-ice.xml	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-ice.xml	(revision 12143)
@@ -93,25 +93,25 @@
      <file id="file22" name_suffix="_SBC_scalar" description="scalar variables" enabled=".true." >
        <!-- global contents -->
-       <field field_ref="ibgvol_tot"     grid_ref="grid_1point"   name="ibgvol_tot"   />
-       <field field_ref="sbgvol_tot"     grid_ref="grid_1point"   name="sbgvol_tot"   />
-       <field field_ref="ibgarea_tot"    grid_ref="grid_1point"   name="ibgarea_tot"  />
-       <field field_ref="ibgsalt_tot"    grid_ref="grid_1point"   name="ibgsalt_tot"  />
-       <field field_ref="ibgheat_tot"    grid_ref="grid_1point"   name="ibgheat_tot"  />
-       <field field_ref="sbgheat_tot"    grid_ref="grid_1point"   name="sbgheat_tot"  />
+       <field field_ref="ibgvol_tot"     name="ibgvol_tot"   />
+       <field field_ref="sbgvol_tot"     name="sbgvol_tot"   />
+       <field field_ref="ibgarea_tot"    name="ibgarea_tot"  />
+       <field field_ref="ibgsalt_tot"    name="ibgsalt_tot"  />
+       <field field_ref="ibgheat_tot"    name="ibgheat_tot"  />
+       <field field_ref="sbgheat_tot"    name="sbgheat_tot"  />
        
        <!-- global drifts (conservation checks) -->
-       <field field_ref="ibgvolume"      grid_ref="grid_1point"   name="ibgvolume"    />
-       <field field_ref="ibgsaltco"      grid_ref="grid_1point"   name="ibgsaltco"    />
-       <field field_ref="ibgheatco"      grid_ref="grid_1point"   name="ibgheatco"    />
-       <field field_ref="ibgheatfx"      grid_ref="grid_1point"   name="ibgheatfx"    />
+       <field field_ref="ibgvolume"      name="ibgvolume"    />
+       <field field_ref="ibgsaltco"      name="ibgsaltco"    />
+       <field field_ref="ibgheatco"      name="ibgheatco"    />
+       <field field_ref="ibgheatfx"      name="ibgheatfx"    />
        
        <!-- global forcings  -->
-       <field field_ref="ibgfrcvoltop"   grid_ref="grid_1point"   name="ibgfrcvoltop" />
-       <field field_ref="ibgfrcvolbot"   grid_ref="grid_1point"   name="ibgfrcvolbot" />
-       <field field_ref="ibgfrctemtop"   grid_ref="grid_1point"   name="ibgfrctemtop" />
-       <field field_ref="ibgfrctembot"   grid_ref="grid_1point"   name="ibgfrctembot" />
-       <field field_ref="ibgfrcsal"      grid_ref="grid_1point"   name="ibgfrcsal"    />
-       <field field_ref="ibgfrchfxtop"   grid_ref="grid_1point"   name="ibgfrchfxtop" />
-       <field field_ref="ibgfrchfxbot"   grid_ref="grid_1point"   name="ibgfrchfxbot" />
+       <field field_ref="ibgfrcvoltop"   name="ibgfrcvoltop" />
+       <field field_ref="ibgfrcvolbot"   name="ibgfrcvolbot" />
+       <field field_ref="ibgfrctemtop"   name="ibgfrctemtop" />
+       <field field_ref="ibgfrctembot"   name="ibgfrctembot" />
+       <field field_ref="ibgfrcsal"      name="ibgfrcsal"    />
+       <field field_ref="ibgfrchfxtop"   name="ibgfrchfxtop" />
+       <field field_ref="ibgfrchfxbot"   name="ibgfrchfxbot" />
      </file>
      
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-oce.xml	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/file_def_nemo-oce.xml	(revision 12143)
@@ -81,17 +81,17 @@
         <file id="file15" name_suffix="_scalar" description="scalar variables" >
           <!-- global drifts (conservation checks) -->
-          <field field_ref="bgtemper"     grid_ref="grid_1point"   name="bgtemper"    />
-          <field field_ref="bgsaline"     grid_ref="grid_1point"   name="bgsaline"    />
-          <field field_ref="bgheatco"     grid_ref="grid_1point"   name="bgheatco"    />
-          <field field_ref="bgheatfx"     grid_ref="grid_1point"   name="bgheatfx"    />
-          <field field_ref="bgsaltco"     grid_ref="grid_1point"   name="bgsaltco"    />
-          <field field_ref="bgvolssh"     grid_ref="grid_1point"   name="bgvolssh"    />
-          <field field_ref="bgvole3t"     grid_ref="grid_1point"   name="bgvole3t"    />
+          <field field_ref="bgtemper"     name="bgtemper"    />
+          <field field_ref="bgsaline"     name="bgsaline"    />
+          <field field_ref="bgheatco"     name="bgheatco"    />
+          <field field_ref="bgheatfx"     name="bgheatfx"    />
+          <field field_ref="bgsaltco"     name="bgsaltco"    />
+          <field field_ref="bgvolssh"     name="bgvolssh"    />
+          <field field_ref="bgvole3t"     name="bgvole3t"    />
 
           <!-- global surface forcings  -->
-          <field field_ref="bgfrcvol"     grid_ref="grid_1point"   name="bgfrcvol"    />
-          <field field_ref="bgfrctem"     grid_ref="grid_1point"   name="bgfrctem"    />
-          <field field_ref="bgfrchfx"     grid_ref="grid_1point"   name="bgfrchfx"    />
-          <field field_ref="bgfrcsal"     grid_ref="grid_1point"   name="bgfrcsal"    />
+          <field field_ref="bgfrcvol"     name="bgfrcvol"    />
+          <field field_ref="bgfrctem"     name="bgfrctem"    />
+          <field field_ref="bgfrchfx"     name="bgfrchfx"    />
+          <field field_ref="bgfrcsal"     name="bgfrcsal"    />
         </file>
 
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 12143)
@@ -47,6 +47,6 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_tem    = 'T_SPITZ12'   ,  24           ,'votemper',    .false.   , .false., 'daily'   , ''      , '' ,    ''
-   sn_sal    = 'S_SPITZ12'   ,  24           ,'vosaline',    .false.   , .false., 'daily'   , ''      , '' ,    ''
+   sn_tem    = 'T_SPITZ12'   ,  24.          ,'votemper',    .false.   , .false., 'daily'   , ''      , '' ,    ''
+   sn_sal    = 'S_SPITZ12'   ,  24.          ,'vosaline',    .false.   , .false., 'daily'   , ''      , '' ,    ''
 /
 !!======================================================================
@@ -98,14 +98,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'u10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Uwnd' , ''
-   sn_wndj     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'v10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Vwnd' , ''
-   sn_qsr      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'ssrd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_qlw      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'strd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_tair     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  't10'     ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_humi     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'humi'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_prec     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'precip'  ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_snow     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'snow'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_slp      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'slp'     ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-   sn_tdif     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'tdif'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_wndi     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'u10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Uwnd' , ''
+   sn_wndj     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'v10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Vwnd' , ''
+   sn_qsr      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'ssrd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_qlw      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'strd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_tair     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  't10'     ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_humi     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'humi'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_prec     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'precip'  ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_snow     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'snow'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_slp      = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'slp'     ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
+   sn_tdif     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,  2. ,  'tdif'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
 /
 !-----------------------------------------------------------------------
@@ -171,30 +171,28 @@
    nn_ice_dta    =  1         !  = 0, bdy data are equal to the initial state
    !                          !  = 1, bdy data are read in 'bdydata   .nc' files
-   rn_ice_tem    = 267.       !  si3 only: arbitrary temperature of incoming sea ice
-   rn_ice_sal    =   6.       !  si3 only:      --   salinity           --
-   rn_ice_age    = 365.       !  si3 only:      --   age                --
-   !
    nn_rimwidth   = 1          !  width of the relaxation zone
    ln_vol        = .false.    !  total volume correction (see nn_volctl parameter)
-   nb_jpk_bdy    = -1         ! number of levels in the bdy data (set < 0 if consistent with planned run)
 /
 !-----------------------------------------------------------------------
 &nambdy_dta    !  open boundaries - external data                       (see nam_bdy)
 !-----------------------------------------------------------------------
-   ln_full_vel = .false.      !  ???
-
+   ln_zinterp  = .false.      !  T if a vertical interpolation is required. Variables gdep[tuv] and e3[tuv] must exist in the file
+   !                          !  automatically defined to T if the number of vertical levels in bdy dta /= jpk
+   ln_full_vel = .false.      !  T if [uv]3d are "full" velocities and not only its baroclinic components
+   !                          !  in this case, baroclinic and barotropic velocities will be recomputed -> [uv]2d not needed
+   !
    cn_dir  =  './'
 !              !  file name      ! frequency (hours) ! variable  ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
 !              !                 !  (if <0  months)  !   name    !  (logical)   !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
-   bn_ssh =   'bdyT_u2d_grid12' ,         72       , 'sossheig' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_u2d =   'bdyU_u2d_grid12' ,         72       , 'vobtcrtx' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_v2d =   'bdyV_u2d_grid12' ,         72       , 'vobtcrty' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_u3d  =  'bdyU_u3d_grid12' ,         72       , 'vozocrtx' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_v3d  =  'bdyV_u3d_grid12' ,         72       , 'vomecrty' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_tem  =  'bdyT_tem_grid12' ,         72       , 'votemper' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_sal  =  'bdyT_sal_grid12' ,         72       , 'vosaline' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_a_i  =  'bdyT_ice_grid12' ,         72       , 'ileadfra' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_h_i  =  'bdyT_ice_grid12' ,         72       , 'iicethic' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
-   bn_h_s  =  'bdyT_ice_grid12' ,         72       , 'isnowthi' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_ssh =   'bdyT_u2d_grid12' ,         72.      , 'sossheig' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_u2d =   'bdyU_u2d_grid12' ,         72.      , 'vobtcrtx' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_v2d =   'bdyV_u2d_grid12' ,         72.      , 'vobtcrty' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_u3d  =  'bdyU_u3d_grid12' ,         72.      , 'vozocrtx' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_v3d  =  'bdyV_u3d_grid12' ,         72.      , 'vomecrty' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_tem  =  'bdyT_tem_grid12' ,         72.      , 'votemper' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_sal  =  'bdyT_sal_grid12' ,         72.      , 'vosaline' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_a_i  =  'bdyT_ice_grid12' ,         72.      , 'ileadfra' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_h_i  =  'bdyT_ice_grid12' ,         72.      , 'iicethic' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
+   bn_h_s  =  'bdyT_ice_grid12' ,         72.      , 'isnowthi' ,     .true.     , .false. ,  'yearly'  ,    ''    ,   ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -350,7 +348,7 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
-!!   namflo       float parameters                                      ("key_float")
-!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
-!!   namdct       transports through some sections                      ("key_diadct")
+!!   namflo       float parameters                                      (default: OFF)
+!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
+!!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_ice_cfg
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 12143)
@@ -44,10 +44,11 @@
 &namdyn_rhg     !   Ice rheology
 !------------------------------------------------------------------------------
-   ln_rhg_EVP       = .true.          !  EVP rheology
-      ln_aEVP       = .true.          !     adaptive rheology (Kimmritz et al. 2016 & 2017)
 /
 !------------------------------------------------------------------------------
 &namdyn_adv     !   Ice advection
 !------------------------------------------------------------------------------
+   ln_adv_Pra       = .false.         !  Advection scheme (Prather)
+   ln_adv_UMx       = .true.          !  Advection scheme (Ultimate-Macho)
+      nn_UMx        =   5             !     order of the scheme for UMx (1-5 ; 20=centered 2nd order)
 /
 !------------------------------------------------------------------------------
@@ -80,6 +81,7 @@
 &namthd_pnd     !   Melt ponds
 !------------------------------------------------------------------------------
-   ln_pnd_H12       = .true.          !  activate evolutive melt ponds (from Holland et al 2012)
-   ln_pnd_alb       = .true.          !  melt ponds affect albedo or not
+   ln_pnd           = .true.          !  activate melt ponds or not
+     ln_pnd_H12     = .true.          !  activate evolutive melt ponds (from Holland et al 2012)
+     ln_pnd_alb     = .true.          !  melt ponds affect albedo or not
 /
 
@@ -102,4 +104,3 @@
 &namdia         !   Diagnostics
 !------------------------------------------------------------------------------
-   ln_icediachk     = .true.         !  check online the heat, mass & salt budgets (T) or not (F)
 /
